#!/bin/bash

echo "*** REDIRECTING TO MAIN NFS/main_toolkit_launch.sh ***"

## SAMPLE. Change this to be your NFS server IP/path
mkdir /mnt/nfs
# copy over main toolkit launch script
mount -t nfs -o nolock 10.0.0.1:/STORAGE /mnt/nfs
cp -a /mnt/nfs/scripts/main_toolkit_launch.sh /TOOLKIT/
cp -a /mnt/nfs/scripts/toolkit_functions /TOOLKIT/

## pass execution to main_toolkit_launch.sh script ##
if [ -e /TOOLKIT/main_toolkit_launch.sh ]; then
        exec /TOOLKIT/main_toolkit_launch.sh
else
        echo "ERROR: Could not find /TOOLKIT/main_toolkit_launch.sh.  Check NFS mount /mnt/nfs on Target Machine OR NFS share /STORAGE on NFS Server."
        exec /bin/bash
fi
